> ## Documentation Index
> Fetch the complete documentation index at: https://docs.7exchange.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Bank Detail



## OpenAPI

````yaml Wallet post /misc
openapi: 3.0.1
info:
  title: Wallet
  version: 0.1.0
servers:
  - url: https://gateway.7exchange.io/wallet/1.0.0
    description: Beta/Live
security:
  - default: []
paths:
  /misc:
    post:
      operationId: postMisc
      parameters:
        - name: tenantId
          in: header
          required: true
          schema:
            type: string
        - name: token
          in: header
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/MiscRequest'
      responses:
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorPayload'
        default:
          description: Any Response
          content:
            '*/*':
              schema:
                description: Any type of entity body
components:
  schemas:
    MiscRequest:
      type: object
      properties:
        type:
          type: string
        data:
          $ref: '#/components/schemas/MiscData'
        ownerId:
          type: string
        createdBy:
          type: string
    ErrorPayload:
      type: object
      properties:
        reason:
          type: string
          description: Reason phrase
        path:
          type: string
          description: Request path
        method:
          type: string
          description: Method type of the request
        message:
          type: string
          description: Error message
        timestamp:
          type: string
          description: Timestamp of the error
        status:
          type: integer
          description: Relevant HTTP status code
          format: int32
    MiscData:
      type: object
      properties:
        bankName:
          type: string
        holderName:
          type: string
        accountNumber:
          type: string
        iban:
          type: string
        bic:
          type: string
        email:
          type: string
        mobileNumber:
          type: string
        currency:
          type: string
        publicId:
          type: string
        network:
          type: string
  securitySchemes:
    default:
      type: oauth2
      flows:
        implicit:
          authorizationUrl: https://test.com
          scopes: {}

````